# Type alias Res

Res: {
json: ((value) => void);
redirect: ((url) => void);
send: ((contents) => void);
sendWrap: ((...contents) => void);
status: ((http_code) => void);
[k: string]: any;
}

#### Type declaration

- ##### [k: string]: any

- ##### json: ((value) => void)

  - - (value): void

    - #### Parameters

      - ##### value: unknown

      #### Returns void

- ##### redirect: ((url) => void)

  - - (url): void

    - #### Parameters

      - ##### url: string

      #### Returns void

- ##### send: ((contents) => void)

  - - (contents): void

    - #### Parameters

      - ##### contents: string

      #### Returns void

- ##### sendWrap: ((...contents) => void)

  - - (...contents): void

    - #### Parameters

      - ##### `Rest` ...contents: any[]

      #### Returns void

- ##### status: ((http_code) => void)

  - - (http_code): void

    - #### Parameters

      - ##### http_code: number

      #### Returns void

- Defined in saltcorn-types/base_types.ts:443

Generated using TypeDoc